package Tree::SizeBalanced::str_num;

use strict;
use warnings;

use Tree::SizeBalanced;

*new = \&Tree::SizeBalanced::Core::new_str_num;
*DESTROY = \&Tree::SizeBalanced::Core::DESTROY_str_num;
*size = \&Tree::SizeBalanced::Core::size_str_num;
*ever_height = \&Tree::SizeBalanced::Core::ever_height_str_num;
*insert = \&Tree::SizeBalanced::Core::insert_str_num;
*insert_before = \&Tree::SizeBalanced::Core::insert_before_str_num;
*insert_after = \&Tree::SizeBalanced::Core::insert_after_str_num;
*delete = \&Tree::SizeBalanced::Core::delete_str_num;
*delete_first = \&Tree::SizeBalanced::Core::delete_first_str_num;
*delete_last = \&Tree::SizeBalanced::Core::delete_last_str_num;
*find = \&Tree::SizeBalanced::Core::find_str_num;
*find_first = \&Tree::SizeBalanced::Core::find_first_str_num;
*find_last = \&Tree::SizeBalanced::Core::find_last_str_num;
*find_lt = \&Tree::SizeBalanced::Core::find_lt_str_num;
*find_le = \&Tree::SizeBalanced::Core::find_le_str_num;
*find_gt = \&Tree::SizeBalanced::Core::find_gt_str_num;
*find_ge = \&Tree::SizeBalanced::Core::find_ge_str_num;
*find_gt_lt = \&Tree::SizeBalanced::Core::find_gt_lt_str_num;
*find_ge_lt = \&Tree::SizeBalanced::Core::find_ge_lt_str_num;
*find_gt_le = \&Tree::SizeBalanced::Core::find_gt_le_str_num;
*find_ge_le = \&Tree::SizeBalanced::Core::find_ge_le_str_num;
*count_lt = \&Tree::SizeBalanced::Core::count_lt_str_num;
*count_le = \&Tree::SizeBalanced::Core::count_le_str_num;
*count_gt = \&Tree::SizeBalanced::Core::count_gt_str_num;
*count_ge = \&Tree::SizeBalanced::Core::count_ge_str_num;
*find_min = \&Tree::SizeBalanced::Core::find_min_str_num;
*find_max = \&Tree::SizeBalanced::Core::find_max_str_num;
*skip_l = \&Tree::SizeBalanced::Core::skip_l_str_num;
*skip_g = \&Tree::SizeBalanced::Core::skip_g_str_num;
*dump = \&Tree::SizeBalanced::Core::dump_str_num;
*check = \&Tree::SizeBalanced::Core::check_str_num;

1;
